package org.dromara.system.service;

import org.dromara.system.domain.vo.SysHospitalVo;
import org.dromara.system.domain.bo.SysHospitalBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 医院管理Service接口
 *
 * @author Lion Li
 * @date 2025-06-26
 */
public interface ISysHospitalService {
    SysHospitalVo getOneHospital();

    /**
     * 查询医院管理
     *
     * @param hospitalId 主键
     * @return 医院管理
     */
    SysHospitalVo queryById(Long hospitalId);

    /**
     * 分页查询医院管理列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 医院管理分页列表
     */
    TableDataInfo<SysHospitalVo> queryPageList(SysHospitalBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的医院管理列表
     *
     * @param bo 查询条件
     * @return 医院管理列表
     */
    List<SysHospitalVo> queryList(SysHospitalBo bo);

    /**
     * 新增医院管理
     *
     * @param bo 医院管理
     * @return 是否新增成功
     */
    Boolean insertByBo(SysHospitalBo bo);

    /**
     * 修改医院管理
     *
     * @param bo 医院管理
     * @return 是否修改成功
     */
    Boolean updateByBo(SysHospitalBo bo);

    /**
     * 校验并批量删除医院管理信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
